/*
	Simple Hello Web Applet with a little interaction.
	Dan Warner  1/19/98
*/

import java.awt.*;
import java.applet.Applet;
import java.awt.event.*;

public class HelloWeb2 extends Applet implements MouseMotionListener
{
	int messageX = 125, messageY = 95;
	String theMessage;
	Font myFont = new Font("Helvetica", Font.BOLD, 32);

	public void init() {
		theMessage = getParameter("message");
		addMouseMotionListener(this);
	}
	
	public void paint( Graphics g ) {
		g.setColor(Color.green);
		g.fillRect(0, 0, 300, 150);
		g.setFont(myFont);
		g.setColor(Color.red);
		g.drawString( theMessage, messageX, messageY );
	}

	public void mouseDragged( MouseEvent e) {
		messageX = e.getX();
		messageY = e.getY();	
		repaint();
	}

	public void mouseMoved( MouseEvent e) { }

}

