public class M865Vertex implements Comparable {

	protected Comparable name;
	
	public M865Vertex(Comparable name) {
		this.name = name;
	}
	
	public Comparable getName() {
		return name;
	}
	
	public int compareTo(Object v) {
		if (v instanceof M865Vertex) {
			return name.compareTo(((M865Vertex)v).getName());
		} else {
			throw new ClassCastException("Not a vertex");
		}
	}

	public boolean equals(Object v) {
		if (v instanceof M865Vertex) {
			return name.equals(((M865Vertex)v).getName());
		} else {
			throw new ClassCastException("Not a vertex");
		}
	}

	public int hashCode() {
		return name.hashCode();
	}

	public Object clone() {
		return new M865Vertex(name);
	}
	
	public String toString() {
		return name.toString();
	}
}	
