public class PQRecord {

/*
    This is a simple class which encapsulates an ordered
    pair consisting of a priority and an object. 

 */

    protected Priority p;
    protected Object   o;
    
    public PQRecord(Priority thePriority, Object theObject) {
        p = thePriority;
        o = theObject;
    }
    
    public static boolean higherThan(PQRecord x, PQRecord y) {
        return (x.p.compareTo(y.p) > 0);
    }
    
    public void setPriority(Priority newPriority) {
        p = newPriority;
    }
    
    public Priority getPriority() {
        return p;
    }
    
    public void setObject(Object newObject) {
        o = newObject;
    }
    
    public Object getObject() {
        return o;
    }

    public String toString() {
        return "(" + p + ", " + o + ")";
    }
}
