import java.util.*;

public class Queue {
    protected Vector myQueue;
	
    public Queue() {
        myQueue = new Vector();
    }
	
    public Queue(int cap) {
        myQueue = new Vector(cap);
    }
	
    public Queue(int cap, int inc) {
        myQueue = new Vector(cap, inc);
    }

    public boolean isEmpty() {
        return myQueue.isEmpty();
    }

    public void enqueue(Object obj) {
        myQueue.addElement(obj);
    }

    public Object dequeue() {
        if ( myQueue.isEmpty() ) {
            return null;
        } else {
            Object obj = myQueue.elementAt(0);
            myQueue.removeElementAt(0);
            return obj;
        }
    }

    public String toString() {
        return "Queue: "+myQueue.toString();
    }

}

