import java.applet.Applet;
import java.awt.*;

public class Checker03 extends Applet implements Runnable {

	Thread runner;
	int xpos;
	Image offscreenImg;
	Graphics offscreenG;
	
	public void init() {
		offscreenImg = createImage(this.getWidth(),this.getHeight());
		offscreenG = offscreenImg.getGraphics();
		// Draw background
		offscreenG.setColor(Color.white);
		offscreenG.fillRect(101,0,100,100);
		offscreenG.setColor(Color.black);
		offscreenG.fillRect(0,0,100,100);

	}
	
	public void start()	 {
		if (runner == null) {
			runner = new Thread(this);
			runner.start();
			}
		}
	
	public void stop()	{
		if (runner != null) {
			runner = null;
			}
		}

	public void run() {
		setBackground(Color.blue);
		while (true) {
			for (xpos=5; xpos<=105; xpos+=4) {
				repaint();
				try { Thread.sleep(100); }
				catch (InterruptedException e) { }
			}
			for (xpos=105; xpos>=5; xpos-=4) {
				repaint();
				try { Thread.sleep(100); }
				catch (InterruptedException e) { }
			}
		}
	}
	
//	public void update(Graphics g) {
//		g.clipRect(ux1, 5, (ux2-ux1), 90);
//		paint(g);
//	}
	
	public void paint(Graphics g) {
		// Display the board.
		g.drawImage(offscreenImg,0,0,this);
		// Draw checker
		g.setColor(Color.red);
		g.fillOval(xpos,5,90,90);
	}
}