import java.util.*;

abstract public class M865Queue implements Collection {
   
   abstract public void enqueue(Object o);
   //  appends an object to the end of the queue.
   
   abstract public Object dequeue();
   //  removes and returns the object at the beginning of the queue.
   //  returns null if the queue is empty.
   
   abstract public boolean isEmpty();
   //  returns true if the queue is empty, false otherwise.
   
   abstract public int size();
   //  returns the number of items in the queue.
   
   abstract public Object peek();
   //  returns the object at the beginning of the queue.
   
}
