public class LowIntPriority extends Priority {
   
/*
    This is an concrete class which encapsulates a priority. 
    The priority is an int and the smaller the value the higher
    the priority.
 */

    protected int priority;

    public LowIntPriority(int p) {
        priority = p;
    }
    
    public LowIntPriority() {
        priority = Integer.MAX_VALUE;
    }
    
    public void setPriority(int p) {
        priority = p;
    }
    
    public int valueOf() {
        return priority;
    }
    
    public int compareTo(Priority x) {
        //  Note this method should insure that x is a
        //  LowIntPriority, and throw an exception if it
        //  is not.
        return (((LowIntPriority)x).priority - this.priority);
    }

    public String toString() {
        return Integer.toString(priority);
    }
}
