/*        
    This program reads a file and prints out each
    valid Fortran Floating Point litteral.
    
    Daniel D. Warner   11/13/98
*/

import java.io.*;
import com.ibm.xml.omake.*;

public class RegFloats {

    
    public static void main(String args[]) {
        InputStreamReader stdin = new InputStreamReader(System.in);
        int count=1, val=0, state = 0;
        char c;
        Integer lineNumber;
        String  floatDescription;
        Regexp  floatRegExp;

        floatDescription  = "([+-]?)(([0-9]+\\.[0-9]*)|(\\.?[0-9]+))";
        floatDescription += "([eEdD][+-]?[0-9]+)?";
        floatRegExp = new Regexp(floatDescription);
		System.out.println(floatRegExp);
        lineNumber = new Integer(count);
        String buf="", num;
        while (val != -1) {
            try {
                val = stdin.read();
                if (val == -1) {
                    System.out.println("EOF");
                } else if (((char)val == ' ') || ((char)val == '\t')) {
                    // Simply skip white space.
                } else {
                    c = (char)val;
                	if (c != '\n') {
                        buf += c;
                    } else {
						int s, t;
                		while (0 <= (s = floatRegExp.match(buf))) {
                 			t = floatRegExp.getMatchedEnd(0);
                		    num = buf.substring(s,t);
                			System.out.println(lineNumber.toString() + ": " + num);
                			buf = buf.substring(t);
                		}
                        count++;
                        lineNumber = new Integer(count);
                    }
                }
            } catch (IOException e) {} 
        }
    }

}
